curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/form_batches/{form_batch} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "form_batch",
"data": {
"owner": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"form_type": "t4",
"form_stage": "original",
"effective_date": "2026-01-01",
"status": "draft",
"contact_name": "Prof. Brody Ernser III",
"contact_email": "weber.pierre@example.net",
"contact_area_code": "657",
"contact_phone_number": "3654916",
"contact_extension": null,
"note": null,
"metadata": {
"counts": {
"total": 0,
"valid": 0,
"invalid": 0,
"draft": 0,
"approved": 0,
"processing": 0,
"submitted": 0,
"done": 0,
"rejected": 0
},
"flags": {
"is_submittable": false
},
"timestamps": {
"submitted_at": null,
"completed_at": null
},
"identifiers": {
"confirmation_number": null
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/form_batches/<id>"
}
}Retrieve a form batch
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/form_batches/{form_batch} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "form_batch",
"data": {
"owner": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"form_type": "t4",
"form_stage": "original",
"effective_date": "2026-01-01",
"status": "draft",
"contact_name": "Prof. Brody Ernser III",
"contact_email": "weber.pierre@example.net",
"contact_area_code": "657",
"contact_phone_number": "3654916",
"contact_extension": null,
"note": null,
"metadata": {
"counts": {
"total": 0,
"valid": 0,
"invalid": 0,
"draft": 0,
"approved": 0,
"processing": 0,
"submitted": 0,
"done": 0,
"rejected": 0
},
"flags": {
"is_submittable": false
},
"timestamps": {
"submitted_at": null,
"completed_at": null
},
"identifiers": {
"confirmation_number": null
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/form_batches/<id>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
owner Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("form_batch").
- Default
- With owner expanded
Hide child attributes
Hide child attributes
The type of Forms in this batch (e.g. T4, RL-1).
rl1, roe, t4, t4a, td1, td1ab, td1bc, td1mb, td1nb, td1nl, td1ns, td1nt, td1nu, td1on, td1pe, td1sk, td1x, td1yt, tp_1015_3_v, tp_1015_r_13_v 255The lifecycle stage of the Forms in this batch: original, amendment, or cancellation.
amendment, cancellation, original The effective date used to determine the form variant for all Forms in this batch.
The submission status of this batch.
done, draft, processing, submitted The name of the contact person responsible for this submission.
255The email address of the contact person.
255The 3-digit area code of the contact's phone number.
255The 7-digit phone number of the contact.
255The optional extension for the contact's phone number.
255An optional note for this form batch.
Form-type-specific metadata for this batch. Structure varies by form type.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

